﻿using Microsoft.EntityFrameworkCore;

namespace EntityFrameworkWorkWithSavedEntity.Data;

public class BuyersSellersContext : DbContext
{
    public BuyersSellersContext(DbContextOptions<BuyersSellersContext> options) : base(options)
    {
    }

    public DbSet<Seller> Sellers { get; set; }
    public DbSet<Buyer> Buyers { get; set; }

    public override async Task<int> SaveChangesAsync(CancellationToken cancellationToken = default)
    {
        var resultOfSave = await base.SaveChangesAsync(cancellationToken);
        var buyers = ChangeTracker.Entries().Where(ee => ee.Entity is Buyer).Select(e => e.Entity as Buyer);
        var sellers = ChangeTracker.Entries().Where(ee => ee.Entity is Seller).Select(e => e.Entity as Seller);

        foreach (var buyer in buyers)
        {
            Console.WriteLine(buyer);
        }
        foreach (var seller in sellers)
        {
            Console.WriteLine(seller);
        }

        return resultOfSave;
    }
}
