﻿using Bogus;

namespace EntityFrameworkWorkWithSavedEntity.Data;

public static class Seeder
{
    // This is purely for a demo, don't anything like this in a real application!
    public static async Task SeedAsync(this BuyersSellersContext buyersSellersContext)
    {
        if (!buyersSellersContext.Buyers.Any() || !buyersSellersContext.Sellers.Any())
        {
            var buyerFaker = new Faker<Buyer>()
                .RuleFor(b => b.Name, f => f.Person.FullName)
                .RuleFor(b => b.BankAccountNumber, f => f.Finance.Iban());
            
            var buyers = buyerFaker.Generate(3);
            buyersSellersContext.AddRange(buyers);
            
            var sellerFaker = new Faker<Seller>()
                .RuleFor(s => s.Name, f => f.Person.FullName)
                .RuleFor(s => s.BankAccountNumber, f => f.Finance.Iban());
            
            var sellers = sellerFaker.Generate(3);
            buyersSellersContext.AddRange(sellers);
            
            await buyersSellersContext.SaveChangesAsync();
        }
    }
}
