﻿using EntityFrameworkWorkWithSavedEntity.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Configuration;

IConfiguration config = new ConfigurationBuilder()
    .AddJsonFile("appsettings.json") // don't store connection strings in appsettings.json in a real app
    .Build();
Console.WriteLine(config["ConnectionStrings:SalesDb"]);

var buyersSellersContext = new BuyersSellersContext(new DbContextOptionsBuilder<BuyersSellersContext>()
    .UseSqlServer(config["ConnectionStrings:SalesDb"])
    .Options);

buyersSellersContext.Database.EnsureDeleted();
buyersSellersContext.Database.EnsureCreated();

await buyersSellersContext.SeedAsync();

